package com.ruoyi.web.core.annotation;

import com.ruoyi.common.enums.UserType;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 用户类型权限，表明谁可以使用这个方法
 * @author 辉
 * 2024/3/8
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface UserTypePermission {

    UserType[] value(); // 允许访问的用户类型

}
